This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 742891 - (CVE-2011-3596) CVE-2011-3596 polipo: Assertion failure by processing certain HTTP POST / PUT requests
CVE-2011-3596 polipo: Assertion failure by processing certain HTTP POST / PUT...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111001,reported=2...
: Security
Depends On: 742898 742897
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 05:53 EDT by Jan Lieskovsky
Modified: 2015-08-22 11:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Local copy of the reproducer / PoC file from [1] (1.98 KB, text/plain)
2011-10-03 05:55 EDT, Jan Lieskovsky
no flags Details

  None (edit)
Description Jan Lieskovsky 2011-10-03 05:53:28 EDT
A denial of service flaw was found in the way Polipo, a lightweight caching web proxy, processed certain HTTP POST / PUT requests. If polipo was configured to allow remote client connections and particular host was allowed to connect to polipo server instance, a remote attacker could use this flaw to cause denial of service (polipo daemon abort due to assertion failure) via specially-crafted HTTP POST / PUT request.

References:
[1] http://seclists.org/fulldisclosure/2011/Oct/10
[2] https://bugs.gentoo.org/show_bug.cgi?id=385307
Comment 1 Jan Lieskovsky 2011-10-03 05:55:21 EDT
Created attachment 526009 [details]
Local copy of the reproducer / PoC file from [1]
Comment 2 Jan Lieskovsky 2011-10-03 05:56:55 EDT
This issue affects the versions of the polipo package, as shipped with Fedora release of 14 and 15. Please schedule an update once final upstream patch ready.

--

This issue affects the versions of the polipo package, as present within EPEL-5 and EPEL-6 repositories. Please schedule an update once final upstream patch ready.
Comment 3 Jan Lieskovsky 2011-10-03 06:04:53 EDT
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2011/10/03/1
Comment 4 Jan Lieskovsky 2011-10-03 06:06:24 EDT
Created polipo tracking bugs for this issue

Affects: fedora-all [bug 742897]
Affects: epel-all [bug 742898]
Comment 5 Vincent Danen 2011-10-04 15:21:36 EDT
This issue has been assigned the name CVE-2011-3596:

http://www.openwall.com/lists/oss-security/2011/10/04/8
Comment 6 Vincent Danen 2011-10-12 11:27:50 EDT
According to a post on oss-security [1], this is the fix for this flaw:

https://gitweb.torproject.org/chrisd/polipo.git/commitdiff/0e2b44af619e46e365971ea52b97457bc0778cd3

But it is not yet on the github master.

[1] http://www.openwall.com/lists/oss-security/2011/10/07/8

Note You need to log in before you can comment on or make changes to this bug.